package io.renren.modules.aspen.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 电厂大屏每日0：00抓取数据
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-12 10:53:44
 */
@Data
@TableName("T_DASHBOARDDAYELEC")
@KeySequence(value = "SEQ_T_DASHBOARDDAYELEC")
public class TDashboarddayelecEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 唯一标识ID
	 */
	@TableId(type = IdType.INPUT)
	private Integer id;
	/**
	 * 删除状态
	 */
	private Integer delFlag;
	/**
	 * 创建人
	 */
	private String createrCode;
	/**
	 * 抓取时间
	 */
	private Date createdate;
	/**
	 * 修改人
	 */
	private String updaterCode;
	/**
	 * 修改时间
	 */
	private Date updatedate;
	/**
	 * 发电机表GTG1一号电机 发电水平 level
	 */
	private String gtg1Lv;
	/**
	 * 发电机表GTG1一号电机 发电效率 workpiece ratio
	 */
	private String gtg1Wr;
	/**
	 * 发电机表GTG2二号电机 发电水平 level
	 */
	private String gtg2Lv;
	/**
	 * 发电机表GTG2二号电机 发电效率 workpiece ratio
	 */
	private String gtg2Wr;
	/**
	 * 发电机表GTG3三号电机 发电水平 level
	 */
	private String gtg3Lv;
	/**
	 * 发电机表GTG3三号电机 发电效率 workpiece ratio
	 */
	private String gtg3Wr;
	/**
	 * 发电机表STG发电水平 level
	 */
	private String stg1Lv;
	/**
	 * 发电机表STG发电效率 workpiece ratio
	 */
	private String stg1Wr;
	/**
	 * 发电机表总发电量
	 */
	private String mwhLv;
	/**
	 * 发电机表全厂效率
	 */
	private String mwhWr;
	/**
	 * 蒸汽表HHP
	 */
	private String hhp;
	/**
	 * 蒸汽表HP
	 */
	private String hp;
	/**
	 * 蒸汽表LP
	 */
	private String lp;
	/**
	 * 蒸汽表MP
	 */
	private String mp;
	/**
	 * 蒸汽表累计总消耗量（吨）
	 */
	private String totalConsumption;
	/**
	 * 蒸汽表HHP数值
	 */
	private String hhpNum;
	/**
	 * 蒸汽表HHP温度
	 */
	private String hhpTemp;
	/**
	 * 蒸汽表HP数值
	 */
	private String hpNum;
	/**
	 * 蒸汽表HP温度
	 */
	private String hpTemp;
	/**
	 * 蒸汽表LP数值
	 */
	private String lpNum;
	/**
	 * 蒸汽表LP温度
	 */
	private String lpTemp;
	/**
	 * 蒸汽表MP数值
	 */
	private String mpNum;
	/**
	 * 蒸汽表MP温度
	 */
	private String mpTemp;
	/**
	 * 天然气表中石化
	 */
	private String shihua;
	/**
	 * 天然气表中石油
	 */
	private String shiyou;
	/**
	 * 天然气表瞬时量
	 */
	private String shunshiliang;
	/**
	 * 电量表昨日发电量Yesterday's power generation
	 */
	private String ypg;
	/**
	 * 电量表倒电量
	 */
	private String daodianliang;
	/**
	 * 电量表每日用电量
	 */
	private String eveLec;
	/**
	 * 电量表每日峰谷差
	 */
	private String fenggucha;
	/**
	 * 电量表BYC用电量
	 */
	private String bycElec;
	/**
	 * 电量表BOC用电量
	 */
	private String bocElec;
	/**
	 * 数据日期
	 */
	private Date dataDate;
	/**
	 * 抓取数据日
	 */
	private String dateDay;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public String getCreaterCode() {
		return createrCode;
	}

	public void setCreaterCode(String createrCode) {
		this.createrCode = createrCode;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getUpdaterCode() {
		return updaterCode;
	}

	public void setUpdaterCode(String updaterCode) {
		this.updaterCode = updaterCode;
	}

	public Date getUpdatedate() {
		return updatedate;
	}

	public void setUpdatedate(Date updatedate) {
		this.updatedate = updatedate;
	}

	public String getGtg1Lv() {
		return gtg1Lv;
	}

	public void setGtg1Lv(String gtg1Lv) {
		this.gtg1Lv = gtg1Lv;
	}

	public String getGtg1Wr() {
		return gtg1Wr;
	}

	public void setGtg1Wr(String gtg1Wr) {
		this.gtg1Wr = gtg1Wr;
	}

	public String getGtg2Lv() {
		return gtg2Lv;
	}

	public void setGtg2Lv(String gtg2Lv) {
		this.gtg2Lv = gtg2Lv;
	}

	public String getGtg2Wr() {
		return gtg2Wr;
	}

	public void setGtg2Wr(String gtg2Wr) {
		this.gtg2Wr = gtg2Wr;
	}

	public String getGtg3Lv() {
		return gtg3Lv;
	}

	public void setGtg3Lv(String gtg3Lv) {
		this.gtg3Lv = gtg3Lv;
	}

	public String getGtg3Wr() {
		return gtg3Wr;
	}

	public void setGtg3Wr(String gtg3Wr) {
		this.gtg3Wr = gtg3Wr;
	}

	public String getStg1Lv() {
		return stg1Lv;
	}

	public void setStg1Lv(String stg1Lv) {
		this.stg1Lv = stg1Lv;
	}

	public String getStg1Wr() {
		return stg1Wr;
	}

	public void setStg1Wr(String stg1Wr) {
		this.stg1Wr = stg1Wr;
	}

	public String getMwhLv() {
		return mwhLv;
	}

	public void setMwhLv(String mwhLv) {
		this.mwhLv = mwhLv;
	}

	public String getMwhWr() {
		return mwhWr;
	}

	public void setMwhWr(String mwhWr) {
		this.mwhWr = mwhWr;
	}

	public String getHhp() {
		return hhp;
	}

	public void setHhp(String hhp) {
		this.hhp = hhp;
	}

	public String getHp() {
		return hp;
	}

	public void setHp(String hp) {
		this.hp = hp;
	}

	public String getLp() {
		return lp;
	}

	public void setLp(String lp) {
		this.lp = lp;
	}

	public String getMp() {
		return mp;
	}

	public void setMp(String mp) {
		this.mp = mp;
	}

	public String getTotalConsumption() {
		return totalConsumption;
	}

	public void setTotalConsumption(String totalConsumption) {
		this.totalConsumption = totalConsumption;
	}

	public String getHhpNum() {
		return hhpNum;
	}

	public void setHhpNum(String hhpNum) {
		this.hhpNum = hhpNum;
	}

	public String getHhpTemp() {
		return hhpTemp;
	}

	public void setHhpTemp(String hhpTemp) {
		this.hhpTemp = hhpTemp;
	}

	public String getHpNum() {
		return hpNum;
	}

	public void setHpNum(String hpNum) {
		this.hpNum = hpNum;
	}

	public String getHpTemp() {
		return hpTemp;
	}

	public void setHpTemp(String hpTemp) {
		this.hpTemp = hpTemp;
	}

	public String getLpNum() {
		return lpNum;
	}

	public void setLpNum(String lpNum) {
		this.lpNum = lpNum;
	}

	public String getLpTemp() {
		return lpTemp;
	}

	public void setLpTemp(String lpTemp) {
		this.lpTemp = lpTemp;
	}

	public String getMpNum() {
		return mpNum;
	}

	public void setMpNum(String mpNum) {
		this.mpNum = mpNum;
	}

	public String getMpTemp() {
		return mpTemp;
	}

	public void setMpTemp(String mpTemp) {
		this.mpTemp = mpTemp;
	}

	public String getShihua() {
		return shihua;
	}

	public void setShihua(String shihua) {
		this.shihua = shihua;
	}

	public String getShiyou() {
		return shiyou;
	}

	public void setShiyou(String shiyou) {
		this.shiyou = shiyou;
	}

	public String getShunshiliang() {
		return shunshiliang;
	}

	public void setShunshiliang(String shunshiliang) {
		this.shunshiliang = shunshiliang;
	}

	public String getYpg() {
		return ypg;
	}

	public void setYpg(String ypg) {
		this.ypg = ypg;
	}

	public String getDaodianliang() {
		return daodianliang;
	}

	public void setDaodianliang(String daodianliang) {
		this.daodianliang = daodianliang;
	}

	public String getEveLec() {
		return eveLec;
	}

	public void setEveLec(String eveLec) {
		this.eveLec = eveLec;
	}

	public String getFenggucha() {
		return fenggucha;
	}

	public void setFenggucha(String fenggucha) {
		this.fenggucha = fenggucha;
	}

	public String getBycElec() {
		return bycElec;
	}

	public void setBycElec(String bycElec) {
		this.bycElec = bycElec;
	}

	public String getBocElec() {
		return bocElec;
	}

	public void setBocElec(String bocElec) {
		this.bocElec = bocElec;
	}

	public Date getDataDate() {
		return dataDate;
	}

	public void setDataDate(Date dataDate) {
		this.dataDate = dataDate;
	}

	public String getDateDay() {
		return dateDay;
	}

	public void setDateDay(String dateDay) {
		this.dateDay = dateDay;
	}
}
